Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 90222

Summary: Breakpoints don't take immediate effect while running
Product: cnd Reporter: _ gordonp <gordonp>
Component: DebuggerAssignee: _ gordonp <gordonp>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2    
Version: 5.x   
Target Milestone: 6.x   
Hardware: PC   
OS: Windows XP   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 89343, 90120    
Bug Blocks:    

Description _ gordonp 2006-11-28 20:01:01 UTC
If a debuggee is running and the user adds a breakpoint, the breakpoint does
not take effect until the next time the debuggee stops running. It should
have an immediate effect.

Implementation note: Need to silently stop the debuggee, set the breakpoint,
and resume running.
Comment 1 Nikolay Molchanov 2006-12-06 21:57:08 UTC
IMO this issue is not a defect. It is a request for enhancement. 
A breakpoint cannot be set until the inferior program is stopped. But in some
cases the inferior program cannot be stopped (for example, waits for input),
so we need some way to show that this particular breakpoint is not set yet,
which means we need a new icon for such breakpoints.

There are several issues that block the implementation of this feature on Windows:
IZ 90120, IZ 89343.

Comment 2 _ gordonp 2007-07-07 00:08:45 UTC
Fixed (subject to the reliability of Pause on Windows).

It pretty much works as expected on Unix. But pretty much doesn't on Windows so I'll
leave the issue open and take a look at it on Windows next week.
Comment 3 _ gordonp 2007-07-12 19:06:48 UTC
Changing Platform/OS to PC/WindowsXP because this is fixed on Unix systems.
Comment 4 _ gordonp 2007-07-19 00:28:55 UTC
Blocked (on Windows) by 90120 and 89343.
Comment 5 _ gordonp 2007-09-29 22:57:23 UTC
Fixed with several caveats (see 90120 for details on the caveats). The main one
affecting this issue is that pausing Cygwin's gdb takes 20-30 seconds, so toggling
a breakpoint on a running process will take that 20-30 seconds before actually being
set. Its instantaneous with MinGW's gdb.
Comment 6 Alexander Pepin 2007-11-02 13:31:56 UTC
verified in build 200711020000
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo